%define upstream_name    Const-Fast
%define upstream_version 0.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Facility for creating read-only scalars, arrays, and hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Const/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.14.0-10.mga9
+ Revision: 1802621
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-9.mga8
+ Revision: 1493587
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.14.0-8.mga7
+ Revision: 1266676
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.14.0-7.mga6
+ Revision: 1024325
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.14.0-6.mga6
+ Revision: 946988
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.14.0-5.mga5
+ Revision: 746651
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.14.0-4.mga5
+ Revision: 732958
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.14.0-3.mga5
+ Revision: 684005
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.14.0-2.mga4
+ Revision: 528445
- Mageia 4 Mass Rebuild

* Wed Jun 19 2013 shlomif <shlomif> 0.14.0-1.mga4
+ Revision: 445053
- Update BR
- New version 0.14 ; Convert to Module-Build-Tiny

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 364723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.13.0-1.mga3
+ Revision: 291609
- update to 0.013

* Wed Aug 29 2012 kharec <kharec> 0.12.0-1.mga3
+ Revision: 285300
- New version 0.012
- New version 0.012

* Tue Jun 05 2012 jquelin <jquelin> 0.11.0-1.mga3
+ Revision: 254681
- update to 0.011

* Wed Nov 30 2011 kharec <kharec> 0.9.0-1.mga2
+ Revision: 174508
- imported package perl-Const-Fast


* Wed Nov 30 2011 cpan2dist 0.009-1mga
- initial mageia release, generated with cpan2dist
